package net.sf.jasperreports.engine;

public class JRDefaultScriptlet extends JRAbstractScriptlet {
  public void beforeReportInit() throws JRScriptletException {}
  
  public void afterReportInit() throws JRScriptletException {}
  
  public void beforePageInit() throws JRScriptletException {}
  
  public void afterPageInit() throws JRScriptletException {}
  
  public void beforeColumnInit() throws JRScriptletException {}
  
  public void afterColumnInit() throws JRScriptletException {}
  
  public void beforeGroupInit(String groupName) throws JRScriptletException {}
  
  public void afterGroupInit(String groupName) throws JRScriptletException {}
  
  public void beforeDetailEval() throws JRScriptletException {}
  
  public void afterDetailEval() throws JRScriptletException {}
}
